OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKBinL
BinMDF

# BinMDF_StringIdMap Class Reference

`#include <BinMDF_StringIdMap.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | BinMDF_StringIdMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT BinMDF_StringIdMap & | Assign (const BinMDF_StringIdMap &Other)
BinMDF_StringIdMap & | operator= (const BinMDF_StringIdMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~BinMDF_StringIdMap ()
Standard_EXPORT Standard_Boolean | Bind (const TCollection_AsciiString &K, const Standard_Integer &I)
Standard_EXPORT Standard_Boolean | IsBound (const TCollection_AsciiString &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TCollection_AsciiString &K)
Standard_EXPORT const Standard_Integer & | Find (const TCollection_AsciiString &K) const
const Standard_Integer & | operator() (const TCollection_AsciiString &K) const
Standard_EXPORT Standard_Integer & | ChangeFind (const TCollection_AsciiString &K)
Standard_Integer & | operator() (const TCollection_AsciiString &K)
## Private Member Functions
Standard_EXPORT | BinMDF_StringIdMap (const BinMDF_StringIdMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT BinMDF_StringIdMap::BinMDF_StringIdMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

BinMDF_StringIdMap::~BinMDF_StringIdMap | ( |  | ) | `[inline]`

Standard_EXPORT BinMDF_StringIdMap::BinMDF_StringIdMap | ( | const BinMDF_StringIdMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT BinMDF_StringIdMap& BinMDF_StringIdMap::Assign | ( | const BinMDF_StringIdMap & | Other | ) |

Standard_EXPORT Standard_Boolean BinMDF_StringIdMap::Bind | ( | const TCollection_AsciiString & | K,
|  | const Standard_Integer & | I
| ) |

Standard_EXPORT Standard_Integer& BinMDF_StringIdMap::ChangeFind | ( | const TCollection_AsciiString & | K | ) |

Standard_EXPORT void BinMDF_StringIdMap::Clear | ( |  | ) |

Standard_EXPORT const Standard_Integer& BinMDF_StringIdMap::Find | ( | const TCollection_AsciiString & | K | ) | const

Standard_EXPORT Standard_Boolean BinMDF_StringIdMap::IsBound | ( | const TCollection_AsciiString & | K | ) | const

void BinMDF_StringIdMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* BinMDF_StringIdMap::operator new | ( | size_t | size | ) | `[inline]`

void* BinMDF_StringIdMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Integer& BinMDF_StringIdMap::operator() | ( | const TCollection_AsciiString & | K | ) | `[inline]`

const Standard_Integer& BinMDF_StringIdMap::operator() | ( | const TCollection_AsciiString & | K | ) | const`[inline]`

BinMDF_StringIdMap& BinMDF_StringIdMap::operator= | ( | const BinMDF_StringIdMap & | Other | ) | `[inline]`

Standard_EXPORT void BinMDF_StringIdMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean BinMDF_StringIdMap::UnBind | ( | const TCollection_AsciiString & | K | ) |

The documentation for this class was generated from the following file:

- BinMDF_StringIdMap.hxx